#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: text-short
version: 0.1.1
id: text-short-0.1.1-1ARVJpqTjMDH2MlTlLnMNH
key: text-short-0.1.1-1ARVJpqTjMDH2MlTlLnMNH
license: BSD3
maintainer: hvr@gnu.org
synopsis: Memory-efficient representation of Unicode text strings
description:
    This package provides the '\''ShortText'\'' type which is suitable for keeping many short strings in memory. This is similiar to how '\''ShortByteString'\'' relates to '\''ByteString'\''.
    .
    The main difference between '\''Text'\'' and '\''ShortText'\'' is that '\''ShortText'\'' uses UTF-8 instead of UTF-16 internally and also doesn'\''t support slicing (thereby saving 2 words). Consequently, the memory footprint of a (boxed) '\''ShortText'\'' value is 4 words (2 words when unboxed) plus the length of the UTF-8 encoded payload.
category: Data
author: Herbert Valerio Riedel
exposed: True
indefinite: False
exposed-modules:
    Data.Text.Short Data.Text.Short.Unsafe
hidden-modules: Data.Text.Short.Internal
abi: 9953dd1fc71470a31f7026a94a29b02b
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/text-short-0.1.1
library-dirs: /usr/lib/ghc-8.2.2/site-local/text-short-0.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/text-short-0.1.1
hs-libraries: HStext-short-0.1.1-1ARVJpqTjMDH2MlTlLnMNH
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    hashable-1.2.6.1-6LeHpYZ4iRgEy9P36eCQfR deepseq-1.4.3.0
    text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj binary-0.8.5.1
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             hashable-1.2.6.1-6LeHpYZ4iRgEy9P36eCQfR=087c0712ec00d90dbe506989d07212a2
             deepseq-1.4.3.0=38379f7f81eed7fe046dd2a98559af2e
             text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj=0c99dc42f18da90e6080c205f57d188a
             binary-0.8.5.1=efb65bc450356b9ea572733928ffb43f
haddock-interfaces: /usr/share/doc/haskell-text-short/html/text-short.haddock
haddock-html: /usr/share/doc/haskell-text-short/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

